
/* Globals */

:root {
    --sidebar-target-width: 300px;
    --sidebar-width: min(var(--sidebar-target-width), 80vw);
    --sidebar-resize-indicator-width: 8px;
    --sidebar-resize-indicator-space: 2px;
    --page-padding: 15px;
    --content-max-width: 750px;
    --menu-bar-height: 50px;
    --mono-font: "Source Code Pro", Consolas, "Ubuntu Mono", Menlo, "DejaVu Sans Mono", monospace, monospace;
    --code-font-size: 0.875em; /* please adjust the ace font size accordingly in editor.js */
}

/* Themes */

.ayu {
    --bg: hsl(210, 25%, 8%);
    --fg: #c5c5c5;
    --menu-bg-img: none;
    --menu-bg: var(--bg);
    --bg-img: none;

    --sidebar-bg: #14191f;
    --sidebar-fg: #c8c9db;
    --sidebar-non-existant: #5c6773;
    --sidebar-active: #ffb454;
    --sidebar-spacer: #2d334f;

    --scrollbar: var(--sidebar-fg);

    --icons: #737480;
    --icons-hover: #b7b9cc;

    --links: #0096cf;

    --inline-code-color: #ffb454;

    --theme-popup-bg: #14191f;
    --theme-popup-border: #5c6773;
    --theme-hover: #191f26;

    --quote-bg: hsl(226, 15%, 17%);
    --quote-border: hsl(226, 15%, 22%);

    --warning-border: #ff8e00;

    --table-border-color: hsl(210, 25%, 13%);
    --table-header-bg: hsl(210, 25%, 28%);
    --table-alternate-bg: hsl(210, 25%, 11%);

    --searchbar-border-color: #848484;
    --searchbar-bg: #424242;
    --searchbar-fg: #fff;
    --searchbar-shadow-color: #d4c89f;
    --searchresults-header-fg: #666;
    --searchresults-border-color: #888;
    --searchresults-li-bg: #252932;
    --search-mark-bg: #e3b171;

    --color-scheme: dark;

    /* Same as `--icons` */
    --copy-button-filter: invert(45%) sepia(6%) saturate(621%) hue-rotate(198deg) brightness(99%) contrast(85%);
    /* Same as `--sidebar-active` */
    --copy-button-filter-hover: invert(68%) sepia(55%) saturate(531%) hue-rotate(341deg) brightness(104%) contrast(101%);

    --footnote-highlight: #2668a6;

    --overlay-bg: rgba(33, 40, 48, 0.4);
}

.coal {
    --bg: hsl(200, 7%, 8%);
    --fg: #98a3ad;
    --menu-bg: var(--bg);

    --sidebar-bg: #292c2f;
    --sidebar-fg: #a1adb8;
    --sidebar-non-existant: #505254;
    --sidebar-active: #3473ad;
    --sidebar-spacer: #393939;

    --scrollbar: var(--sidebar-fg);

    --icons: #43484d;
    --icons-hover: #b3c0cc;

    --links: #2b79a2;

    --inline-code-color: #c5c8c6;

    --theme-popup-bg: #141617;
    --theme-popup-border: #43484d;
    --theme-hover: #1f2124;

    --quote-bg: hsl(234, 21%, 18%);
    --quote-border: hsl(234, 21%, 23%);

    --warning-border: #ff8e00;

    --table-border-color: hsl(200, 7%, 13%);
    --table-header-bg: hsl(200, 7%, 28%);
    --table-alternate-bg: hsl(200, 7%, 11%);

    --searchbar-border-color: #aaa;
    --searchbar-bg: #b7b7b7;
    --searchbar-fg: #000;
    --searchbar-shadow-color: #aaa;
    --searchresults-header-fg: #666;
    --searchresults-border-color: #98a3ad;
    --searchresults-li-bg: #2b2b2f;
    --search-mark-bg: #355c7d;

    --color-scheme: dark;

    /* Same as `--icons` */
    --copy-button-filter: invert(26%) sepia(8%) saturate(575%) hue-rotate(169deg) brightness(87%) contrast(82%);
    /* Same as `--sidebar-active` */
    --copy-button-filter-hover: invert(36%) sepia(70%) saturate(503%) hue-rotate(167deg) brightness(98%) contrast(89%);

    --footnote-highlight: #4079ae;

    --overlay-bg: rgba(33, 40, 48, 0.4);
}

.light, html:not(.js) {
    --bg: hsl(0, 0%, 100%);
    --fg: hsl(0, 0%, 0%);
    --menu-bg: var(--bg);

    --sidebar-bg: #fafafa;
    --sidebar-fg: hsl(0, 0%, 0%);
    --sidebar-non-existant: #aaaaaa;
    --sidebar-active: #1f1fff;
    --sidebar-spacer: #f4f4f4;

    --scrollbar: #8F8F8F;

    --icons: #747474;
    --icons-hover: #000000;

    --links: #20609f;
    --code-bg: #d3cdcd;


    --inline-code-color: #301900;

    --theme-popup-bg: #fafafa;
    --theme-popup-border: #cccccc;
    --theme-hover: #e6e6e6;

    --quote-bg: hsl(197, 37%, 96%);
    --quote-border: hsl(197, 37%, 91%);

    --warning-border: #ff8e00;

    --table-border-color: hsl(0, 0%, 95%);
    --table-header-bg: hsl(0, 0%, 80%);
    --table-alternate-bg: hsl(0, 0%, 97%);

    --searchbar-border-color: #aaa;
    --searchbar-bg: #fafafa;
    --searchbar-fg: #000;
    --searchbar-shadow-color: #aaa;
    --searchresults-header-fg: #666;
    --searchresults-border-color: #888;
    --searchresults-li-bg: #e4f2fe;
    --search-mark-bg: #a2cff5;

    --color-scheme: light;

    /* Same as `--icons` */
    --copy-button-filter: invert(45.49%);
    /* Same as `--sidebar-active` */
    --copy-button-filter-hover: invert(14%) sepia(93%) saturate(4250%) hue-rotate(243deg) brightness(99%) contrast(130%);

    --footnote-highlight: #7e7eff;

    --overlay-bg: rgba(200, 200, 205, 0.4);
}

.navy {
    --bg: hsl(226, 23%, 11%);
    --fg: #bcbdd0;
    --menu-bg: var(--bg);

    --sidebar-bg: #282d3f;
    --sidebar-fg: #c8c9db;
    --sidebar-non-existant: #505274;
    --sidebar-active: #2b79a2;
    --sidebar-spacer: #2d334f;

    --scrollbar: var(--sidebar-fg);

    --icons: #737480;
    --icons-hover: #b7b9cc;

    --links: #2b79a2;

    --inline-code-color: #c5c8c6;

    --theme-popup-bg: #161923;
    --theme-popup-border: #737480;
    --theme-hover: #282e40;

    --quote-bg: hsl(226, 15%, 17%);
    --quote-border: hsl(226, 15%, 22%);

    --warning-border: #ff8e00;

    --table-border-color: hsl(226, 23%, 16%);
    --table-header-bg: hsl(226, 23%, 31%);
    --table-alternate-bg: hsl(226, 23%, 14%);

    --searchbar-border-color: #aaa;
    --searchbar-bg: #aeaec6;
    --searchbar-fg: #000;
    --searchbar-shadow-color: #aaa;
    --searchresults-header-fg: #5f5f71;
    --searchresults-border-color: #5c5c68;
    --searchresults-li-bg: #242430;
    --search-mark-bg: #a2cff5;

    --color-scheme: dark;

    /* Same as `--icons` */
    --copy-button-filter: invert(51%) sepia(10%) saturate(393%) hue-rotate(198deg) brightness(86%) contrast(87%);
    /* Same as `--sidebar-active` */
    --copy-button-filter-hover: invert(46%) sepia(20%) saturate(1537%) hue-rotate(156deg) brightness(85%) contrast(90%);

    --footnote-highlight: #4079ae;

    --overlay-bg: rgba(33, 40, 48, 0.4);
}

.rust {
    --bg: hsl(60, 9%, 87%);
    --fg: #262625;
    --menu-bg: var(--bg);

    --sidebar-bg: #3b2e2a;
    --sidebar-fg: #c8c9db;
    --sidebar-non-existant: #505254;
    --sidebar-active: #e69f67;
    --sidebar-spacer: #45373a;

    --scrollbar: var(--sidebar-fg);

    --icons: #737480;
    --icons-hover: #262625;

    --links: #2b79a2;

    --inline-code-color: #6e6b5e;
    --code-bg: #f0eded;

    --theme-popup-bg: #e1e1db;
    --theme-popup-border: #b38f6b;
    --theme-hover: #99908a;

    --quote-bg: hsl(60, 5%, 75%);
    --quote-border: hsl(60, 5%, 70%);

    --warning-border: #ff8e00;

    --table-border-color: hsl(60, 9%, 82%);
    --table-header-bg: #b3a497;
    --table-alternate-bg: hsl(60, 9%, 84%);

    --searchbar-border-color: #aaa;
    --searchbar-bg: #fafafa;
    --searchbar-fg: #000;
    --searchbar-shadow-color: #aaa;
    --searchresults-header-fg: #666;
    --searchresults-border-color: #888;
    --searchresults-li-bg: #dec2a2;
    --search-mark-bg: #e69f67;

    /* Same as `--icons` */
    --copy-button-filter: invert(51%) sepia(10%) saturate(393%) hue-rotate(198deg) brightness(86%) contrast(87%);
    /* Same as `--sidebar-active` */
    --copy-button-filter-hover: invert(77%) sepia(16%) saturate(1798%) hue-rotate(328deg) brightness(98%) contrast(83%);

    --footnote-highlight: #d3a17a;

    --overlay-bg: rgba(150, 150, 150, 0.25);
}


.space {
    --bg: #000000;
    --fg: #ffffff;
    --menu-bg: var(--bg);
    --menu-bg-img: url("https://raw.githubusercontent.com/hari-vickey/mdbook-themes/main/assets/space/menu_bg.png");
    --bg-img: url("https://raw.githubusercontent.com/hari-vickey/mdbook-themes/main/assets/space/space_bg.png");

    --sidebar-bg: #1e1f1e;
    --sidebar-fg: #c8c9db;
    --sidebar-non-existant: #4a7289;
    --sidebar-active: #86d8f5;
    --sidebar-spacer: #00aaf0;

    --scrollbar: var(--sidebar-bg);

    --icons: var(--sidebar-spacer);
    --icons-hover: #262625;

    --links: #31aee9;

    --code-bg: #191919;
    --inline-code-color: #ebefe4;

    --theme-popup-bg: var(--bg);
    --theme-popup-border: #86d8f5;
    --theme-hover: var(--sidebar-bg);

    --quote-bg: hsl(218, 44%, 41%);
    --quote-border: hsl(218, 44%, 45%);

    --table-border-color: #0292cf;
    --table-header-bg: var(--quote-bg);
    --table-alternate-bg: transparent;

    --searchbar-border-color: var(--icons);
    --searchbar-bg: var(--sidebar-bg);
    --searchbar-fg: var(--sidebar-fg);
    --searchbar-shadow-color: #aaa;
    --searchresults-header-fg: #91929e;
    --searchresults-border-color: var(--icons);
    --searchresults-li-bg: #dec2a2;
    --search-mark-bg: #e69f67;
}

.ecoFriend {
    --bg: #c2e5cc;
    --fg: #171717;
    --menu-bg: var(--bg);
    /* --menu-bg-img: url("http://example.com/assets/sustain/menu_bg.png");
    --bg-img: url("https://example.com/assets/sustain/bg.png"); */

    --sidebar-bg: #2B4F4F;
    --sidebar-fg: #E0E0E0;
    --sidebar-non-existant: #FFA500;
    --sidebar-active: #00BFFF;
    --sidebar-spacer: #008B8B;

    --scrollbar: var(--sidebar-bg);

    --icons: var(--sidebar-spacer);
    --icons-hover: #884a31;

    --links: #009bcb;

    --code-bg: #2F4F4F;
    --inline-code-color: #FFD700;

    --theme-popup-bg: var(--bg);
    --theme-popup-border: #00BFFF;
    --theme-hover: var(--sidebar-bg);

    --quote-bg: hsl(120, 60%, 77%);
    --quote-border: hsl(120, 25%, 40%);

    --table-border-color: #228B22;
    --table-header-bg: var(--quote-bg);
    --table-alternate-bg: transparent;

    --searchbar-border-color: var(--icons);
    --searchbar-bg: var(--sidebar-bg);
    --searchbar-fg: var(--sidebar-fg);
    --searchbar-shadow-color: #aaa;
    --searchresults-header-fg: #B0E0E6;
    --searchresults-border-color: var(--icons);
    --searchresults-li-bg: #98FB98;
    --search-mark-bg: #FFA07A;
}

.sustain {
    --bg: #f5e9d5;
    --fg: #171717;
    --menu-bg: #f5e9d5;
    --menu-bg-img: url("https://raw.githubusercontent.com/hari-vickey/mdbook-themes/main/assets/sustain/menu_bg.png");

    --sidebar-bg: #2B4F4F;
    --sidebar-fg: #E0E0E0;
    --sidebar-non-existant: #FFA500;
    --sidebar-active: #DEA361;
    --sidebar-spacer: #008B8B;

    --scrollbar: #2B4F4F;

    --icons: #008B8B;
    --icons-hover: #000000;

    --links: #00bfff;

    --code-bg: #2F4F4F;
    --inline-code-color: #DEA361;

    --theme-popup-bg: #f5e9d5;
    --theme-popup-border: #DEA361;
    --theme-hover: #2B4F4F;

    --quote-bg: #008B8B;
    --quote-border: hsl(120, 25%, 40%);

    --table-border-color: #228B22;
    --table-header-bg: hsl(120, 40%, 55%);
    --table-alternate-bg: transparent;

    --searchbar-border-color: #DEA361;
    --searchbar-bg: #2B4F4F;
    --searchbar-fg: #E0E0E0;
    --searchbar-shadow-color: #aaa;
    --searchresults-header-fg: #00BFFF;
    --searchresults-border-color: #DEA361;
    --searchresults-li-bg: #98FB98;
    --search-mark-bg: #FFA07A;
}



.krishi {
    --bg: #e9f8e3;
    --fg: #302525;
    --menu-bg: var(--bg);
    /* --menu-bg-img: url("https://github.com/eYantra-Robotics-Competition/mdbook-themes/blob/eyrc-25-26/assets/cb_v1.png?raw=true"); */

    --sidebar-bg: #ceedbd;
    --sidebar-fg: #184a29;
    --sidebar-non-existant: #060605;
    --sidebar-active: #2baf0d;
    --sidebar-spacer: #35aa58;

    --scrollbar: var(--sidebar-fg);

    --icons: #184a29;
    --icons-hover: #63bb50;

    --links: #1073f5;

    --inline-code-color: var(--fg);
    --code-bg: #63bb50;

    --theme-popup-bg: #ceedbd;
    --theme-popup-border: #184a29;;
    --theme-hover: #63bb50;

    --quote-bg: linear-gradient(to left, #d4f0c1, #63bb50);
    --quote-border: #184a29;

    --warning-border: #ff8e00;

    --table-border-color: #184a29;
    --table-header-bg: #184a29;
    --table-alternate-bg: #63bb50;

    --searchbar-border-color: #aaa;
    --searchbar-bg: #fafafa;
    --searchbar-fg: #000;
    --searchbar-shadow-color: #aaa;
    --searchresults-header-fg: #666;
    --searchresults-border-color: #888;
    --searchresults-li-bg: #dec2a2;
    --search-mark-bg: #e69f67;

    /* Same as `--icons` */
    --copy-button-filter: invert(0%) sepia(10%) saturate(393%) hue-rotate(198deg) brightness(86%) contrast(87%);
    /* Same as `--sidebar-active` */
    ---copy-button-filter-hover: invert(0%) sepia(0%) saturate(0%) hue-rotate(0deg) brightness(100%) contrast(100%);

    --footnote-highlight: #d3a17a;

    --overlay-bg: rgba(150, 150, 150, 0.25);
}

@media (prefers-color-scheme: dark) {
    html:not(.js) {
        --bg: hsl(200, 7%, 8%);
        --fg: #98a3ad;

        --sidebar-bg: #292c2f;
        --sidebar-fg: #a1adb8;
        --sidebar-non-existant: #505254;
        --sidebar-active: #3473ad;
        --sidebar-spacer: #393939;

        --scrollbar: var(--sidebar-fg);

        --icons: #43484d;
        --icons-hover: #b3c0cc;

        --links: #2b79a2;

        --inline-code-color: #c5c8c6;

        --theme-popup-bg: #141617;
        --theme-popup-border: #43484d;
        --theme-hover: #1f2124;

        --quote-bg: hsl(234, 21%, 18%);
        --quote-border: hsl(234, 21%, 23%);

        --warning-border: #ff8e00;

        --table-border-color: hsl(200, 7%, 13%);
        --table-header-bg: hsl(200, 7%, 28%);
        --table-alternate-bg: hsl(200, 7%, 11%);

        --searchbar-border-color: #aaa;
        --searchbar-bg: #b7b7b7;
        --searchbar-fg: #000;
        --searchbar-shadow-color: #aaa;
        --searchresults-header-fg: #666;
        --searchresults-border-color: #98a3ad;
        --searchresults-li-bg: #2b2b2f;
        --search-mark-bg: #355c7d;

        --color-scheme: dark;

        /* Same as `--icons` */
        --copy-button-filter: invert(26%) sepia(8%) saturate(575%) hue-rotate(169deg) brightness(87%) contrast(82%);
        /* Same as `--sidebar-active` */
        --copy-button-filter-hover: invert(36%) sepia(70%) saturate(503%) hue-rotate(167deg) brightness(98%) contrast(89%);
    }
}
